PYEVOLVE-GRAPH(1)

NAME
pyevolve-graph - graphical plotting tool for Pyevolve

SYNOPSIS
pyevolve-graph [options]

DESCRIPTION
This manual page documents briefly the pyevolve-graph command, a graphical plotting tool for programs based on Pyevolve. To use this program, you must have python-matplotlib and python-sqlite installed.

GENERAL OPTIONS
Pyevolve-pygraph supports the following options:

-h, --help
    show a brief summary of available options and exit

-f FILENAME, --file=FILENAME
    Database file to read from. default is ./pyevolve.db.

-i IDENTIFY, --identify=IDENTIFY
    The identify of evolution.

-o OUTFILE, --outfile=OUTFILE
    Write the graph image to a file. Don't specify an extension, just the filename. The file will be written in PNG format by default, but this can be changed using the --extension or -e options.

-e EXTENSION, --extension=EXTENSION
    Graph image file format. Supported options (formats) are all those supported by python-matplotlib. Currently, these should be: EMF, EPS, PDF, PNG, PS, RAW, RGBA, SVG, SVGZ. Default is PNG.

-g GENRANGE, --genrange=GENRANGE
    This is the generation range of the graph. For example, 1:30 would denote an interval between 1 and 30.

-c COLORMAP, --colormap=COLORMAP
    Sets the Color Map for the graph types -8 and -9. Some options are: summer, bone, gray, hot, jet, cooper, spectral. The default is jet.

-m,--minimize
    Sets the 'Minimize' mode. Default is the Maximize mode. This option makes sense if you are minimizing your evaluation function.

-0  Write all standard graphs to file. Equivalent to specifying -1 -2 -3 -4 -5.

-1  Error bars graph (raw scores).

-2  Error bars graph (fitness scores).

-3  Max/min/avg/std. dev. graph (raw scores).

-4  Max/min/avg graph (fitness scores).

-5  Raw and Fitness min/max difference graph.

-6  Compare best raw score of two or more evolutions. You must specify the identify as a comma-separated list with the --identify or -i options. The maximum is 6 items.

-7  Compare best fitness score of two or more evolutions. You must specify the identify as a comma-separated list with the --identify or -i options. The maximum is 6 items.

-8  Show a heat map of population raw score distribution between generations.

-9  Show a heat map of population fitness score distribution between generations.

EXAMPLES
The following are some examples on how to use pyevolve-graph:

1. Output a graph for identify 'ex1' in PNG format (default) to file 'graph_ex1.png':

    pyevolve-graph -i ex1 -1 -o graph_ex1

2. Output a graph for identify 'ex1' to the PDF file 'graph_ex1.pdf':

    pyevolve-graph -i ex1 -1 -o graph_ex1 -e pdf

3. This command will plot the evolution of the generations between 10 and 20:

    pyevolve-graph -i ex1 -1 -g 10:20

4. Use -m to indicate that you have minimized the evaulation function:

    pyevolve_graph.py -i ex1 -1 -m

5. Specify an identify list for the comparison output options -6 and -7:

    pyevolve_graph.py -i ex1_run1,ex1_run2,ex1_run3 -6

Fore more examples on how to use pyevolve-graph, including sample images, users are recommended to install the python-pyevolve-doc package.

SEE ALSO

/usr/share/doc/python-pyevolve/examples
    Contains many examples.

AUTHOR
pyevolve-graph was written by Christian S. Perone <christian.perone@gmail.com>.

This manual page was written by Christian Kastner <debian@kvr.at> for the Debian project (and may be used by others).